Edit Store
POST
/v2/store/add-onThis API allows you to enable or disable features at the store level for an existing merchant. Currently supported: **Bank Payments (ACH)** #### Bank Payments (ACH) Use this API to enable or disable bank (ACH) payments for a store. Supported processors: - Payroc - Paya - Vericheck
Header Parameters
Authorization*
stringBody Parameters
storeId*
stringachDetails
achStatus*
booleanachProcessorName
enumisMandatoryCheckC
booleanwebC
stringtelC
stringppdC
stringccdC
stringPOST/v2/store/add-on
1curl --location 'https://externalapi.ipospays.tech/v2/store/add-on' \
2--header 'Authorization: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "storeId": "storeId12chr",
6 "achDetails": {
7 "achStatus": true,
8 "achProcessorName": "Paya",
9 "payaDetails": {
10 "isMandatoryCheck": true,
11 "terminalSettings": {
12 "web": "1234",
13 "tel": "5678",
14 "ppd": "9012",
15 "ccd": "3456"
16 }
17 }
18 }
19}'
Response
// Awaiting response…
Sample response
{
"achDetails": {
"response": "success",
"msg": "ACH updated successfully",
"status": 200
},
"message": "ACH updated successfully",
"statusCode": 200,
"request_id": "TEST-20260303080942-9MJG2S",
"timestamp": "2026-03-03T08:09:42.238Z"
}